package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability2770/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaRetailMarketingBuygiftActivityUpdateRequest struct {
	/*
	   更新单品买赠活动参数     */
	Param *domain.AlibabaRetailMarketingBuygiftActivityUpdateBuyGiftActivityOperateRequest `json:"param" required:"true" `
}

func (s *AlibabaRetailMarketingBuygiftActivityUpdateRequest) SetParam(v domain.AlibabaRetailMarketingBuygiftActivityUpdateBuyGiftActivityOperateRequest) *AlibabaRetailMarketingBuygiftActivityUpdateRequest {
	s.Param = &v
	return s
}

func (req *AlibabaRetailMarketingBuygiftActivityUpdateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaRetailMarketingBuygiftActivityUpdateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
